*{
    padding: 0;
    margin: 0;
    font-size: 12px;
    text-decoration: none;
    outline: none;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
}
#contact-page-content-cont{
    position: relative;
    width: 100%;
    /* padding-bottom: 4rem; */
}

#contact-us-banner{
    position: relative;
    width: 100%;
    height: 250px;
    background-image: url(../images/contactus2.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    text-align: center;
    padding-top: 8rem;
}
#contact-us-banner::before{
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.6);
}
#contact-us-banner>h1{
    position: relative;
    font-size: 2.5rem;
    font-weight: bold;
    color: var(--pure-white);
    text-transform: capitalize;
}
#contact-us-intro-cont{
    position: relative;
    width: 100%;
    background-color: var(--primary-color-deep);
    padding: 2rem 0.7rem;
    border-bottom: 30px solid #fff;
}
#contact-us-intro-cont>h2{
    position: relative;
    font-size: 1.7rem;
    font-weight: bold;
    text-align: center;
    line-height: 1.2;
    text-transform: uppercase;
    /* background-image: linear-gradient(to right, #fff 45%, var(--primary-color-light) 60%);
    background-clip: text;
    color: transparent; */
    color: #fff;
    margin-bottom: 1.3rem;
    border: 2px solid #fff;
    padding: 1rem 1.5rem;
}
#contact-us-intro-cont>p{
    font-size: 14px;
    text-align: justify;
    line-height: 1.3;
    color: #f5f5f5;
    width: 80%;
    margin: auto;
}
.contactus-content-section{
    position: relative;
    width: 80%;
    margin: auto;
}
.content-inner-section{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 4rem 0.7rem;
}
#contactus_form_wrapper{
    position: relative;
    width: 60%;
    background-color: var(--pure-white);
    border-radius: 10px 0 0 10px;
    padding: 0.7rem;
    border: 1px solid #eee;
}

#contactus_form_wrapper>h3{
    position: relative;
    font-size: 1.3rem;
    font-weight: bold;
    text-align: left;
    line-height: 1.2;
    text-transform: capitalize;
    color: #333;
    margin-bottom: 0.7rem;

}
#contactus_form{
    position: relative;
    width: 100%;
}
#contactus_form .form-row{
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 1rem;
}
.form-row .contactus_field_wrapper{
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    flex-direction: column;
}
.form-row .contactus_field_wrapper .contactus_inner_field_wrapper{
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.contactus_inner_field_wrapper .contactus_field_icon_wrapper{
    position: relative;
    width: 40px;
    height: 40px;
    background-color: var(--page-bgcolor);
    padding: 0.3rem 0.5rem;
    border-radius: 5px 0 0 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #eee;
    border-left: 1px solid #eee;
    border-bottom: 1px solid #eee;
}
.contactus_field_icon_wrapper .contactus_field_icon{
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--primary-color-light);
}
.contactus_field_icon_wrapper.subject{
    padding: 0.3rem 0.5rem;
}
.contactus_field_icon_wrapper.subject .contactus_field_icon{
    font-size: 11px;
    color: var(--primary-color-light);
    text-transform: capitalize;
}
.contactus_inner_field_wrapper .input_field{
    position: relative;
    display: inline-block;
    width: 100%;
    height: 40px;
    outline: none;
    border: 1px solid #eee;
    background-color: var(--pure-white);
    padding: 0.3rem 0.5rem;
    color: #888;
    font-size: 14px;
    border-radius: 0 5px 5px 0px;
    transition: border-color 0.4s ease-in;
}
.input_field.message_field{
    width: 100%;
    height: 200px;
    background-color: var(--pure-white);
}
.input_field::placeholder, .input_field.message_field::placeholder{
    font-size: 11px;
}
.input_field:focus, .input_field.message_field:focus{
    border-color: var(--primary-color-light);
}
.contactus_error_msg_show{
    align-self: flex-start;
    display: none;
}
.contactus_error_icon{
    color: tomato;
    font-size: 1rem;
}
.contactus_error_msg_inner{
    color: tomato;
    font-size: 10px;
}

.contactus_inner_field_wrapper.submit-field .contactus_btn{
    outline: none;
    padding: 1rem 1.5rem;
    background-color: var(--primary-color-deep);
    border: 1px solid var(--primary-color-deep);
    border-right: 3px solid #f00;
    border-bottom: 3px solid #f00;
    color: var(--pure-white);
    text-align: center;
    font-weight: bold;
    font-size: 14px;
    text-transform: capitalize;
    border-radius: 5px;
    margin: 1.2rem 0;
    margin-bottom: 1rem;
    transition: all 0.4s ease-in;
    cursor: pointer;
}
.contactus_inner_field_wrapper.submit-field .contactus_btn .contactus_btn_icon{
    color: var(--pure-white);
    font-weight: bold;
    font-size: 1.5rem;
}
.contactus_inner_field_wrapper.submit-field .contactus_btn:hover, .contactus_inner_field_wrapper.submit-field .contactus_btn:focus{
    background-color: var(--page-bgcolor);
    border: 2px solid var(--primary-color-deep);
    color: var(--primary-color-deep);
}
.contactus_inner_field_wrapper.submit-field .contactus_btn:hover .contactus_btn_icon,
.contactus_inner_field_wrapper.submit-field .contactus_btn:focus  .contactus_btn_icon{
    color: var(--primary-color-deep);
}

.contactus_inner_field_wrapper.error_msg-general{
    color: tomato;
    font-size: 13px;
    font-weight: 600;
    text-align: left;
    margin-left: 1rem;
    margin-top: 2.2rem;
}
.contactus_inner_field_wrapper.error_msg-general>.contactus_error_icon{
    margin-right: 1rem;
}

.contactus_inner_field_wrapper>.contactus_error_icon{
    font-size: 1.5rem;
    font-weight: 600;
    color: tomato;
    margin-bottom: -0.7rem;
}
.contactus_field_wrapper>.contactus_error_msg_show{
    color: tomato;
    font-size: 13px;
    font-weight: 600;
    text-align: left;
    margin: 1.2rem 0rem 1.2rem 0rem ;
    padding-bottom: 1.2rem;
}
.contactus_error_msg_show{
    display: none;
}
.contactus_field_wrapper>.error_msg-general{
    display: none;
}



/* general error alert styles */
.contactus_error_msg_box{
    position: relative;
    top: -1000%;
    max-width: 100%;
    height: auto;
    opacity: 0;
    background-color: #fff;
    padding: 1rem;
    display: none;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
    border: 1px solid tomato;
    border-radius: 0px 5px 5px 0px;
    box-shadow: 0px 0px 10px 0 rgba(0,0,0,0.2);
    margin: 1.2rem 0;
    animation: contactusErrorMsgAnimate 3000ms ease-in;
    animation-fill-mode: forwards;
    transition: all 3000ms ease-in;
}
@keyframes contactusErrorMsgAnimate{

    0%{
        top:-1000%;
        opacity: 0;
        display: none;
    }
    100%{
        top: 0;
        opacity: 1;
        display: flex;
    }
    
}
.show_error_msg{
    top: 0;
    opacity: 1;
    display: flex;
}
.contactus_error_msg_box>.contactus_error_icon{
    color: tomato;
    font-size: 2rem;
    font-weight: bold;
    text-align: left;
    margin-bottom: 0.5rem;
}
.contactus_error_msg_box>#contactus_error_msg{
    color: tomato;
    font-size: 12px;
    text-align: left;
    padding: 0 1.2rem;
    line-height: 1.2;
}
/* general error alert styles */


.contactus-details-wrapper{
    position: relative;
    max-width: 35%;
    padding: 1rem 0.7rem;
    width: 100%;
    background-image: url(../images/contactus-operation-hrs-banner.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.contactus-details-wrapper::before{
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,255,0.6);
}

.contactus-details-wrapper>h4{
    position: relative;
    font-size: 1.3rem;
    font-weight: bold;
    text-align: left;
    line-height: 1.2;
    text-transform: capitalize;
    color: #fff;
    margin-bottom: 0rem;
    border-bottom: 1px solid #eee;
    padding: 0.5rem 0;
    padding-top: 0;
    margin-bottom: 0.5rem;
}
.contactus-details-cards{
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.7rem;
    flex-direction: column;
}
.contactus-details-card{
    position: relative;
    width: 100%;
    padding: 0 0.7rem;
}
.contactus-details-icon-wrapper{
    position: relative;
    width: 35px;
    height: 35px;
    padding: 5px;
    background-color: var(--pure-white);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    box-shadow: 0 0 5px 0 rgba(0,0,0,0.4);
    margin-bottom: 0.5rem;
}
.contactus-details-icon-wrapper .contactus-details-icon{
    font-weight: bold;
    font-size: 1.3rem;
    color: var(--primary-color-light);
}
.contact-item-wrapper{
    position: relative;
}
.contact-item-wrapper>h5{
    position: relative;
    font-size: 0.9rem;
    font-weight: bold;
    text-align: left;
    line-height: 1.2;
    text-transform: capitalize;
    color: var(--pure-white);
    margin-bottom: 0.2rem;
}
.contact-item-wrapper>span, .contact-item-wrapper>span>a{
    color: #f5f5f5;
    font-size: 11px;
    line-height: 1.3;
}

.links-container>h4{
    position: relative;
    color: var(--pure-white);
    font-size: 1.2rem;
    text-transform: capitalize;
    font-family: 'Teko', sans-serif;
    font-weight: 700;
    border-top: 1px solid #eee;
    padding: 0.5rem 0;
    margin: 0.5rem 0;
}

.links-container.socials-cont li{
    position: relative;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem;
    background-color: #fff;
    border: 1px solid #fff;
    border-radius: 10px;
    transition: all 0.5s ease-in;
    cursor: pointer;

}

.links-container.socials-cont>.links-wrapper{
    display: inline-flex;
    gap: 1rem;
}

.links-container.socials-cont>.links_wrapper>li i{
    font-size: 1.3rem;
    color: royalblue;
    font-weight: bold;
}

#facebook-icon{
    font-size: 1.3rem;
    color: royalblue;
}

.links-container.socials-cont li:hover{
    border-radius: 50%;
}
#twitter-icon{
    color: dodgerblue;
    font-size: 1.3rem;
}

#whatsapp-icon{
    color: #00cc00;
    font-size: 1.3rem;
}
#instagram-icon{
    color: deeppink;
    font-size: 1.3rem;
}
#youtube-icon{
    color: red;
    font-size: 1.3rem;
}


#contactus_google_map_wrapper{
    position: relative;
    width: 100%;
    /* box-shadow: 0px 0px 10px 0 rgba(0,0,0,0.2); */
   
}
#contactus_google_map_wrapper>#loc_heading{
    max-width: 100%;
    padding: 1rem;
    background-color: var(--page-bgcolor);
    color: var(--primary-color-deep);
    text-align: center;
    text-transform: uppercase;
    font-size: 1.3rem;
    font-weight: 600;
    margin-top: 0rem;
    margin-bottom: 0;

}
#contactus_google_map_wrapper>h3>span{
    font-size: 1.3rem;
    color: #fff;
    font-family: 'Teko', sans-serif;
    font-weight: 700;
}
#contactus_google_map_wrapper>#office_Gmap_loc{
    position: relative;
    width: 100%;
    height: 400px;
}
#contactus_google_map_wrapper>#office_Gmap_loc>iframe{
    width: 100%;
    height: 100%;
}


@media(max-width:1000px){
    .contactus-content-section{
        position: relative;
        width: 93%;
        margin: auto;
    }
}

@media(max-width:768px){
    .contactus-content-section{
        position: relative;
        width: 93%;
        margin: auto;
    }
    .content-inner-section{
        flex-direction: column;
        align-items: center;
    }
    .content-inner-section #contactus_form_wrapper{
        width: 100%;
        order: 2;
    }
    
    .content-inner-section .contactus-details-wrapper{
        max-width: 100%;
        border-top: 5px solid #f00;
        order: 1;
    }

}

@media(max-width:580px){
    #contactus_form .form-row.double-display{
        flex-direction: column;
    }
}